OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
SparseExtractor< OpType, DenseType > Class Template Reference

Functor-based class used to extract data that satisfies some criteria defined by the embedded `OpType` functor. The `extractSparseTree` function wraps this class. More...

`#include <DenseSparseTools.h>`

## Public Types
typedef openvdb::math::Coord::ValueType | Index
typedef DenseType::ValueType | DenseValueType
typedef OpType::ResultTreeType | ResultTreeType
typedef ResultTreeType::ValueType | ResultValueType
typedef ResultTreeType::LeafNodeType | ResultLeafNodeType
typedef ResultTreeType::template ValueConverter< ValueMask >::Type | MaskTree
typedef tbb::blocked_range3d< Index, Index, Index > | Range3d

## Public Member Functions
| SparseExtractor (const DenseType &dense, const OpType &functor, const ResultValueType background)
| SparseExtractor (const DenseType &dense, const openvdb::math::CoordBBox &bbox, const OpType &functor, const ResultValueType background)
| SparseExtractor (SparseExtractor &other, tbb::split)
ResultTreeType::Ptr | extract (bool threaded=true)
void | operator() (const Range3d &range)
void | join (SparseExtractor &rhs)

## Detailed Description

### template<typename OpType, typename DenseType>
class openvdb::v5_1::tools::SparseExtractor< OpType, DenseType >

Functor-based class used to extract data that satisfies some criteria defined by the embedded `OpType` functor. The `extractSparseTree` function wraps this class.

## Member Typedef Documentation

## ◆ DenseValueType

typedef DenseType::ValueType DenseValueType

## ◆ Index

typedef openvdb::math::Coord::ValueType Index

## ◆ MaskTree

typedef ResultTreeType::template ValueConverter<ValueMask>::Type MaskTree

## ◆ Range3d

typedef tbb::blocked_range3d<Index, Index, Index> Range3d

## ◆ ResultLeafNodeType

typedef ResultTreeType::LeafNodeType ResultLeafNodeType

## ◆ ResultTreeType

typedef OpType::ResultTreeType ResultTreeType

## ◆ ResultValueType

typedef ResultTreeType::ValueType ResultValueType

## Constructor & Destructor Documentation

## ◆ SparseExtractor() [1/3]

SparseExtractor | ( | const DenseType & | dense,
|  | const OpType & | functor,
|  | const ResultValueType | background
| ) |  |
| inline

## ◆ SparseExtractor() [2/3]

SparseExtractor | ( | const DenseType & | dense,
|  | const openvdb::math::CoordBBox & | bbox,
|  | const OpType & | functor,
|  | const ResultValueType | background
| ) |  |
| inline

## ◆ SparseExtractor() [3/3]

SparseExtractor | ( | SparseExtractor< OpType, DenseType > & | other,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ extract()

ResultTreeType::Ptr extract | ( | bool | threaded = `true` | ) |
| inline

## ◆ join()

void join | ( | SparseExtractor< OpType, DenseType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const Range3d & | range | ) |
| inline

The documentation for this class was generated from the following file:

- DenseSparseTools.h